Skip to content

Select theme

Get One

GET
/{organization}/projects/{projectId}
curl --request GET \
--url https://app.civillo.com/api/v1/example/projects/1 \
--header 'Authorization: Bearer <token>'

Get a specific project.

organization
required
string

The organization nickname

projectId
required
integer

The project id

Successful response

Media typeapplication/json
object
defaultProjection

The default spatial reference system used by this project

integer
nullable
mapCenter

The center point of the project map

object
latitude

Latitude in decimal degrees

number format: float
longitude

Longitude in decimal degrees

number format: float
mapZoom

The default zoom level of the project map

integer
nullable
id

The unique identifier of the project

integer
name

The full name of the organization

string
projectUuid

The public id of the project

string format: uuid
projectType

Either 1 for a standard project or 2 for a tender.

integer
archived

Describes whether or not this project is archived.

boolean
Example
{
"id": 123,
"name": "My Organization",
"projectUuid": "b86dcb06-9525-4f1a-a461-414e1eb6c2f2",
"projectType": 1,
"archived": false
}

Unauthorized

Forbidden